# $Revision: 1.23.2.3 $, $Date: 2004/07/21 12:42:32 $
Summary:	Emacs News and Mail reader
Summary(pl):	Emacsowy czytnik poczty oraz grup usenet
Name:		xemacs-gnus-pkg
Version:	5.8.8
%define		etc_ver 0.27
Release:	4
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.gnus.org/pub/gnus/gnus-%{version}.tar.gz
# Source0-md5:	eb3c7db29f1bc84996f11784f408a80c
Source1:	ftp://ftp.gnus.org/pub/gnus/etc-%{etc_ver}.tar.gz
# Source1-md5:	c98e5575541d4e5f7b9c8abcf2bf4fc0
URL:		http://www.gnus.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	xemacs
Requires:	xemacs
Requires:	xemacs-eterm-pkg
Requires:	xemacs-fsf-compat-pkg
Requires:	xemacs-gnus-pkg
Requires:	xemacs-mailcrypt-pkg
Requires:	xemacs-mail-lib-pkg
Requires:	xemacs-mh-e-pkg
Requires:	xemacs-w3-pkg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
You can read news (and mail) from within XEmacs by using Gnus. The
news can be gotten by any nefarious means you can think of -- NNTP,
local spool or your mbox file. All at the same time, if you want to
push your luck.

%description -l pl 
Dzieki pakietowi Gnus moesz czyta newsy i poczt z uyciem XEmacsa.
Gnus moe pobiera listy z najrniejszych rde w tym z lokalnego
spoola jak i plikw mbox.

%prep
%setup -q -n gnus-%{version} -a1
cat <<EOF >lisp/auto-autoloads.el
(autoload 'gnus "gnus" nil t)
EOF

%package -n xemacs-gnus-info-pkg
Summary:        Info documentation for GNUS
Summary(pl):    Dokumentacja info dla GNUSa
Group:          Applications/Editors/Emacs
Requires:       xemacs-gnus-pkg = %{version}

%description -n xemacs-gnus-info-pkg
Info documentation for GNUS.

%description -l pl -n xemacs-gnus-info-pkg
Dokumentacja info dla GNUSa.

%build                                                      
aclocal
autoconf
%configure
%{__make} EMACS=xemacs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages/lisp/gnus,%{_infodir}}

# remove .el file if corresponding .elc exists
for i in lisp/*.el; do test ! -f ${i}c || rm -f $i ; done
cp -a etc-%{etc_ver} $RPM_BUILD_ROOT%{_datadir}/xemacs-packages%{_sysconfdir}
install lisp/*.el* $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/gnus
install texi/gnus{,-[0-9]*} $RPM_BUILD_ROOT%{_infodir}

gzip -9nf README GNUS-NEWS ChangeLog


%post -n xemacs-gnus-info-pkg
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun -n xemacs-gnus-info-pkg
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages%{_sysconfdir}/*

%files -n xemacs-gnus-info-pkg
%defattr(644,root,root,755)
%{_infodir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-gnus-pkg.spec,v $
Revision 1.23.2.3  2004/07/21 12:42:32  ankry
- md5, removed group translations, rel. 4

Revision 1.23.2.2  2003/09/09 11:13:11  ankry
- spaces -> tabs

Revision 1.23.2.1  2003/07/11 12:04:47  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.23  2001/10/22 22:27:23  misiek
- moved info into separate subpackage (now it's possible to have xemacs and emacs installed at the same time)

Revision 1.22  2001/08/21 18:52:38  kloczek
- regenerate ac files.

Revision 1.21  2001/08/20 21:23:25  kloczek
- release 2,
- spec adapterized.

Revision 1.20  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/05/02 10:04:54  klakier
- rmail removed from requires (obsoleted)

Revision 1.17  2001/04/24 20:16:02  misiek
more requires

Revision 1.16  2001/04/24 18:27:27  kloczek
- added xemacs to Reqires.

Revision 1.15  2001/04/24 15:14:25  kloczek
- added xemacs to BuildRequires.

Revision 1.14  2001/04/24 14:59:18  misiek
- pl summary
- use official ftp server
- %%configure instead of ./configure

Revision 1.13  2001/04/24 14:46:23  kloczek
- added longer %description and also pl %description :)

Revision 1.12  2001/04/24 11:55:06  klakier
- fixed smileys

Revision 1.11  2001/04/24 11:20:33  klakier
- added smileys

Revision 1.10  2001/04/24 10:23:04  klakier
- gnus from gnus.org (not from xemacs/packages)
